using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "an elemental corpse" )]
	public class PoisonElementalElder : BaseCreature
	{
		public override double DispelDifficulty{ get{ return 125.0; } }
		public override double DispelFocus{ get{ return 45.0; } }

		[Constructable]
		public PoisonElementalElder () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "elder elemental of poison";
			Body = 83;
			BaseSoundID = 278;

			SetStr( 533, 644 );
			SetDex( 208, 231 );
			SetInt( 451, 544 );

			SetHits( 320, 386 );

			SetDamage( 15, 23 );

			SetSkill( SkillName.Concentration, 100.1, 118.8 );
			SetSkill( SkillName.Magery, 100.1, 118.8 );
			SetSkill( SkillName.Meditation, 100.3, 150.0 );
			SetSkill( SkillName.Poisoning, 112.6, 125.0 );
			SetSkill( SkillName.MagicResist, 106.5, 143.8 );
			SetSkill( SkillName.Tactics, 100.1, 125.0 );
			SetSkill( SkillName.HandToHand, 87.6, 112.5 );

			Fame = 15625;
			Karma = -15625;

			VirtualArmor = 88;

			PackItem( new Nightshade( Utility.RandomMinMax( 20, 40 ) ) );
			PackItem( new GreaterPoisonPotion() );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich, 2 );
			AddLoot( LootPack.Rich, 2 );
			AddLoot( LootPack.HighScrolls );
		}

		public override bool BleedImmune{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override Poison HitPoison{ get{ return Poison.Lethal; } }
		public override double HitPoisonChance{ get{ return 0.75; } }

		public PoisonElementalElder( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}